From 2f2cdd60def006f6d3cbe318f9edd7d68fcb239a Mon Sep 17 00:00:00 2001
From: Ronan Pigott <ronan@rjp.ie>
Date: Wed, 14 Dec 2022 19:12:36 -0700
Subject: [PATCH] input: enable user xkb configs with cap_sys_nice

---
 meson.build           | 2 +-
 sway/config.c         | 2 +-
 sway/input/keyboard.c | 2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)

diff --git a/meson.build b/meson.build
index 3878bc3..519465f 100644
--- a/meson.build
+++ b/meson.build
@@ -51,7 +51,7 @@ wayland_client = dependency('wayland-client')
 wayland_cursor = dependency('wayland-cursor')
 wayland_protos = dependency('wayland-protocols', version: '>=1.24')
 wlroots = dependency('wlroots', version: wlroots_version)
-xkbcommon = dependency('xkbcommon')
+xkbcommon = dependency('xkbcommon', version: '>=1.5.0')
 cairo = dependency('cairo')
 pango = dependency('pango')
 pangocairo = dependency('pangocairo')
diff --git a/sway/config.c b/sway/config.c
index b41dd87..c4940d2 100644
--- a/sway/config.c
+++ b/sway/config.c
@@ -37,7 +37,7 @@ struct sway_config *config = NULL;
 
 static struct xkb_state *keysym_translation_state_create(
 		struct xkb_rule_names rules) {
-	struct xkb_context *context = xkb_context_new(XKB_CONTEXT_NO_FLAGS);
+	struct xkb_context *context = xkb_context_new(XKB_CONTEXT_NO_SECURE_GETENV);
 	struct xkb_keymap *xkb_keymap = xkb_keymap_new_from_names(
 		context,
 		&rules,
diff --git a/sway/input/keyboard.c b/sway/input/keyboard.c
index c5a646c..719bef9 100644
--- a/sway/input/keyboard.c
+++ b/sway/input/keyboard.c
@@ -752,7 +752,7 @@ static void handle_xkb_context_log(struct xkb_context *context,
 
 struct xkb_keymap *sway_keyboard_compile_keymap(struct input_config *ic,
 		char **error) {
-	struct xkb_context *context = xkb_context_new(XKB_CONTEXT_NO_FLAGS);
+	struct xkb_context *context = xkb_context_new(XKB_CONTEXT_NO_SECURE_GETENV);
 	if (!sway_assert(context, "cannot create XKB context")) {
 		return NULL;
 	}
